CMP(1)

NUME
cmp - compară două fişiere octet cu octet

REZUMAT
cmp [OPTION]... FIŞIER1 [FIŞIER2 [SALT1 [SALT2]]]

DESCRIERE
Compară două fişiere octet cu octet.

Parametrii opționali SALT1 și SALT2 specifică numărul de octeți ce se saltă în fiecare fișier (valoarea predefinită este zero).

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-b, --print-bytes
    afișează octeții diferiți

-i, --ignore-initial=SALT
    omite primii SALT octeți din cele două intrări

-i, --ignore-initial=SALT1:SALT2
    omite primii SALT1 octeți din FIȘIER1 și primii SALT2 octeți din FIȘIER2

-l, --verbose
    afișează numerele octeților și valorile tuturor octeților care diferă

-n, --bytes=LIMITĂ
    compară cel mult LIMITĂ octeţi

-s, --quiet, --silent
    suprimă toate detaliile de ieșire normale

--help
    afișează acest mesaj de ajutor și iese

-v, --version
    afișează informațiile despre versiune și iese

Valorile SALT pot fi urmate de următoarele sufixe multiplicative: kB 1000, K 1024, MB 1,000,000, M 1,048,576, GB 1,000,000,000, G 1,073,741,824, și așa mai departe pentru T, P, E, Z, Y.

Dacă un FIȘIER este „-” sau lipsește, se citește intrarea standard. Starea de ieșire este 0 dacă intrările sunt aceleași, 1 dacă sunt diferite și 2 dacă sunt probleme.

AUTOR
Scris de Torbjorn Granlund și David MacKenzie.

RAPORTAREA ERORILOR
Raportați erorile la: bug-diffutils@gnu.org
Pagina principală a GNU diffutils: https://www.gnu.org/software/diffutils/
Ajutor general pentru utilizarea software-ului GNU: https://www.gnu.org/gethelp/

DREPTURI DE AUTOR
Drepturi de autor © 2023 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
diff(1), diff3(1), sdiff(1)

Documentația completă pentru cmp este menținută ca un manual Texinfo. Dacă programele info(1) și cmp sunt instalate corect pe sistemul dumneavoastră, comanda

    info cmp

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Eugen Hoanca <eugenh@urban-grafx.ro>, Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.